### Function

# Gimp escape_uline

#### Declaration [src]

    gchar*
    gimp_escape_uline (
      const gchar* str
    )

#### Description [src]

This function returns a copy of `str` with all underline converted to two adjacent underlines. This comes in handy when needing to display strings with underlines (like filenames) in a place that would convert them to mnemonics.

Available since: | 2.2

#### Parameters

`str` | `const gchar*`
| Underline infested string (or `NULL`)
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gchar*`
| A (possibly escaped) copy of `str` which should be freed using `g_free()` when it is not needed any longer.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.